#date {
    font-size: .9em;
    position: absolute;
    top: 2.95em;
    right: 10px;
    background-color: var(--color-bg);
    padding: 0 20px;
}

.editor {
    margin-top: 2em;
    margin-bottom: 1em;
    padding: 0 1em;
    text-align: justify;
}

.ce-block--selected .ce-block__content {
    background-color: linen;
}

.cdx-attaches {
    --color-bg: inherit;
    --color-line: inherit;
    --color-bg-secondary: inherit;
    --color-bg-secondary--hover: bisque;
}

.cdx-attaches a {
    color: inherit;
}

.cdx-attaches__button {
    box-shadow: none;
}

.cdx-attaches--with-file .cdx-attaches__file-icon-label {
    font-size: 9px;
}

.image-tool {
    --bg-color: gainsboro;
    --border-color: gainsboro;
}

.tc-wrap {
    --color-border: gainsboro;
}

.codex-editor__redactor {
    padding-bottom: 3em !important;
}

/** 
 * Switch checkbox.
 */
/*input:where([type="checkbox"][role="switch"]) {
    appearance: none;
    position: relative;
    color: inherit;
    font-size: inherit;
    width: 2em;
    height: 1em;
    box-sizing: content-box;
    border: 1px solid;
    border-radius: 1em;
    vertical-align: middle;
    margin: auto;
    cursor: pointer;
}

input:where([type="checkbox"][role="switch"])::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(0, -50%);
    box-sizing: border-box;
    width: 0.7em;
    height: 0.7em;
    margin: 0 0.15em;
    border: 1px solid;
    border-radius: 50%;
    background: currentcolor;
    transition: left .2s ease-out;
}

input:where([type="checkbox"][role="switch"]):checked::before {
    left: 1em;
}*/

/**
 * Public checkbox and label.
 */
/*#publicLabel span:has(+ #public:not(:checked)) {
    text-decoration: line-through
}*/

/*footer label {
    position: relative;
    bottom: 3em;
    display: block;
    padding: 0 1em;
    background-color: var(--color-bg);
    width: fit-content;
    cursor: pointer;
}

footer label span {
    vertical-align: middle;
    margin-right: .5em;
}*/

/**
 * Previous and next links.
 */
#previous,
#next {
    position: fixed;
    top: calc(50% - 6em);
    z-index: 2;
    opacity: 0;
    transition: opacity .5s;
    padding: 5em .4em;
    color: var(--color-primary);
    border-radius: 5%;
}

#previous:hover,
#next:hover {
    opacity: 100;
}

#previous {
    left: 0;
}

#next {
    right: 0;
}

/**
 * Previous and next links.
 */
#previous,
#next {
    background-color: antiquewhite;
}